|  | Home | Documentation | uddi2__businessEntity Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__businessEntity Class Reference

Schema urn:uddi-org:api_v2:"businessEntity". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__businessEntity:
[legend]

## Public Attributes

uddi2__discoveryURLs * | discoveryURLs
| Element reference "urn:uddi-org:api_v2":discoveryURLs.
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
uddi2__contacts * | contacts
| Element reference "urn:uddi-org:api_v2":contacts.
uddi2__businessServices * | businessServices
| Element reference "urn:uddi-org:api_v2":businessServices.
uddi2__identifierBag * | identifierBag
| Element reference "urn:uddi-org:api_v2":identifierBag.
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag.
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.
char * | operator_
| Attribute operator of type xs:string.
char * | authorizedName
| Attribute authorizedName of type xs:string.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"businessEntity".

## Member Data Documentation

## ◆ authorizedName

char* uddi2__businessEntity::authorizedName

Attribute authorizedName of type xs:string.

Optional attribute

## ◆ businessKey

uddi2__businessKey uddi2__businessEntity::businessKey

Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.

Required attribute

## ◆ businessServices

uddi2__businessServices* uddi2__businessEntity::businessServices

Element reference "urn:uddi-org:api_v2":businessServices.

Optional element

## ◆ categoryBag

uddi2__categoryBag* uddi2__businessEntity::categoryBag

Element reference "urn:uddi-org:api_v2":categoryBag.

Optional element

## ◆ contacts

uddi2__contacts* uddi2__businessEntity::contacts

Element reference "urn:uddi-org:api_v2":contacts.

Optional element

## ◆ description

std::vector<uddi2__description* > uddi2__businessEntity::description

Vector of uddi2__description* with length 0..unbounded.

## ◆ discoveryURLs

uddi2__discoveryURLs* uddi2__businessEntity::discoveryURLs

Element reference "urn:uddi-org:api_v2":discoveryURLs.

Optional element

## ◆ identifierBag

uddi2__identifierBag* uddi2__businessEntity::identifierBag

Element reference "urn:uddi-org:api_v2":identifierBag.

Optional element

## ◆ name

std::vector<uddi2__name* > uddi2__businessEntity::name

Vector of uddi2__name* with length 0..unbounded.

## ◆ operator_

char* uddi2__businessEntity::operator_

Attribute operator of type xs:string.

Optional attribute

## ◆ soap

struct soap* uddi2__businessEntity::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h